GuidesAPI Reference
API Reference

Get Changesets

Retrieves a subset of existing Changesets from the space's history. The subset can be defined by providing a version ref that references a version range e.g., "5..6" or "0..HEAD"

The version range can be specified using the versionRef query-parameter as follows: <start>..<end>

Where <start> is the start of the range (exclusive) and <end> is the end of the range (inclusive). (5..10 points to the versions in the interval ]5, 10])

Each successful write transaction to the space is stored as one single Changeset, which can contain modifications applied to one or more features.

The response payload may be split in multiple pages. The next page token is written in the property 'nextPageToken', which then can be used to retrieve the next page using the 'pageToken' parameter on the next call.

Path Params
string
required

The unique identifier of the layer.

Query Params
string
Defaults to HEAD

The query parameter used to specify the target version reference when reading or writing features. A reference describes a target tag or a version.

Default is: HEAD


Depending on the use-case it can be necessary to specify a range of versions rather than only one version. In such a case the version part of the Ref would look like: `..`

Where <start> is the start of the range (exclusive) and <end> is the end of the range (inclusive).

Another way of specifying a version range is using the star-symbol: *

Using * refers to "all available versions" in the space or branch and is only applicable in the cases in which a version range may be provided.


Samples: - `42` points to version 42 - `HEAD` points to the latest version - `myTag` points to the version of the tag with ID "myTag" - `0..HEAD` points to all available versions - `*` also points to all versions (short form) - `5..10` points to the versions in the interval `]5, 10]`
string

The page token where the iteration will continue.

integer

The maximum number of features in the response. Default is 30000. Hard limit is 100000.

string

Filter the results per author.

int64
≥ 0

Filter changesets by creation time. Start time in milliseconds since the UNIX epoch (exclusive).

int64
≥ 0

Filter changesets by creation time. End time in milliseconds since the UNIX epoch (inclusive).

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/vnd.here.changeset-collection
application/json